import { html as h } from "lit";
import { property as c } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, m = Object.getOwnPropertyDescriptor, l = (n, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, i = n.length - 1, p; i >= 0; i--)
    (p = n[i]) && (e = (r ? p(t, s, e) : p(e)) || e);
  return r && e && v(t, s, e), e;
};
let o = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--chevronSplit", this.class = "c-pieIcon c-pieIcon--chevronSplit", this.name = "IconChevronSplit";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--chevronSplit"><path d="M11.308 6.25 8 2.864 4.693 6.25l-.902-.936 3.5-3.597a1.07 1.07 0 0 1 1.444 0l3.509 3.658z"></path><path d="M4.693 9.75 8 13.049l3.307-3.378.893.919-3.5 3.596a1.07 1.07 0 0 1-1.444 0l-3.5-3.561z"></path></svg>`;
  }
};
l([
  c({ type: String, reflect: !0 })
], o.prototype, "size", 2);
l([
  c({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = l([
  f("icon-chevron-split")
], o);
export {
  o as IconChevronSplit
};
